# $Revision: 1.16 $, $Date: 2012/01/14 20:32:03 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	SVG
Summary:	Perl extension to generate SVG images
Summary(pl.UTF-8):	Rozszerzenie Perla do generowania obrazów SVG
Name:		perl-SVG
Version:	2.50
Release:	1
# same as perl (general perl license)
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{version}.tar.gz
# Source0-md5:	eb98588ae85277cd7769bce6ba3bc8f9
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
SVG.pm is a Perl extention to generate stand-alone or inline SVG
(Scaleable Vector Graphics) images using the W3C SVG XML
recommendation.

%description -l pl.UTF-8
SVG.pm to rozszerzenie Perla do generowania samodzielnych lub
wbudowanych obrazów SVG (Scaleable Vector Graphics - skalowalna
grafika wektorowa) z użyciem rekomendacji SVG SML W3C.

%prep
%setup -q -n %{pdir}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/%{pdir}.pm
%{perl_vendorlib}/%{pdir}
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-SVG.spec,v $
Revision 1.16  2012/01/14 20:32:03  zbyniu
- up to 2.50

Revision 1.15  2009/10/11 06:55:51  amateja
- updated to 2.49

Revision 1.14  2008/07/27 22:48:56  arekm
- release 2

Revision 1.13  2007-02-13 07:47:14  glen
- tabs in preamble

Revision 1.12  2007/02/12 01:06:22  baggins
- converted to UTF-8

Revision 1.11  2005/06/20 06:35:24  megabajt
- up to 2.33

Revision 1.10  2004/12/01 18:11:26  radek
- autoupdated to 2.32

Revision 1.9  2004/11/03 22:30:42  paladine
- formatting

Revision 1.8  2004/05/06 18:43:22  ankry
- fixed perl-devel BR

Revision 1.7  2004/05/02 05:34:23  ankry
- license fix, cosmetics

Revision 1.6  2004/04/27 15:26:26  ankry
- new bconds

Revision 1.5  2004/04/15 20:36:59  ankry
- license cosmetics

Revision 1.4  2004/01/24 23:59:09  arekm
- autoupdated to 2.28

Revision 1.3  2003/06/16 11:18:55  qboosh
- perl license is GPL or Artistic

Revision 1.2  2003/06/16 11:06:03  qboosh
- pl description, cleanups, more verbose file list

Revision 1.1  2003/06/16 06:09:10  adamg
- initial import
